ChakraHQ APIs
Home
Sign In
Home
Sign In
  1. Background Job
  • API Keys
  • Response Format
  • Inbound Events Webhook
  • How to figure out pluginId and whatsappPhoneNumberId
  • API Rate Limits
  • Send Template Messages
    • Send Whatsapp Template Message For Process
    • Send Whatsapp Template Message For A Phone Number
    • Send Template Message (Meta API Format)
  • Send Session Messages
    • WhatsApp Messages API (pass-through)
    • Send WhatsApp session message (pass-through)
  • Message Templates - Create & Manage
    • Create WhatsApp Message Template (pass-through)
    • List WhatsApp Message Templates (pass-through)
    • Update WhatsApp Message Template (pass-through)
  • Media - Upload & Manage
    • Upload Public Media
    • Show Whatsapp Media API
    • Fetch Whatsapp Media API
    • Show Whatsapp Media Attachments API
  • Flows - Create & Manage
    • Set Business Public Key
    • Get Business Public Key
  • Groups - Create & Manage
    • Create Group
    • List Groups
    • Get group info
    • Update Group Settings
    • Delete Group
    • Get Group Invite Link
    • Reset Group Invite Link
    • Get Group Join Requests
    • Approve Group Join Request
    • Reject Group Join Request
    • Remove Group Participants
  • Leads - Create & Manage
    • Create a lead
    • Update Lead By Phone Number
  • Chat & Chat Messages
    • List chats
    • List chat messages for a chat
    • List previous messages for a phone number
  • Campaigns - Manage
    • Add a phone number to a lead campaign
    • Remove phone number from a lead campaign
  • Partner Access
    • Create Connect Token
    • Update WhatsApp plugin configuration
    • Fetch WhatsApp plugin configuration
    • Disconnect WABA Account
  • Platform
    • Process
      • Fetch Process By Id
      • List Processes
      • Create Process
      • Update Process
      • Update Process By Primary Key
      • Delete Process
      • Delete Process By Primary Key Value
      • Bulk Create Process API
      • Bulk Update Process API
    • Task
      • Create Task API
    • User
      • List Users API
      • List Users API (V2)
      • Fetch User API
      • Fetch User API (V2)
      • Update User API
    • Photo
      • Fetch Photo API
      • Upload Photo API
      • Upload Photo API With Id
    • Background Job
      • Fetch Background Job
        GET
      • Fetch Background Job Entries API
        GET
    • Fetch Config
      GET
  • Schemas
    • Whatsapp
      • MappingType
  1. Background Job

Fetch Background Job Entries API

GET
https://api.chakrahq.com/v1/ext/background-job/{backgroundJobId}/entries
If you want to get the status of the individual entries supplied to the background job you can do so with this api

Response#

_data field returns an array of background job entries
_meta returns meta information like total entries and the path for the next page of data

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chakrahq.com/v1/ext/background-job/006af7f9-d5fb-4d1a-8b31-ac6f3a3a1dfc/entries?completionStatus=SUCCESS&limit=10&skip=2000' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
  "_data": [
    {
      "id": "e9bc853c-0af7-414c-bc7b-ccc7a40aa510",
      "createdAt": 1617966536310,
      "updatedAt": 1617966539528,
      "data": {
        "apiData": {
          "processId": "1e50dd73-9ce6-405b-932a-9c4c5e7b5599",
          "procedureId": "f3eb37a9-b54e-4088-bc5f-948d37f8aa62",
          "processUpdate": {
            "data": {
              "lead_id": "100"
            }
          }
        },
        "apiType": "process:ext-update"
      },
      "validationStatus": "SUCCESS",
      "validationMessage": "",
      "validationResult": null,
      "completionStatus": "SUCCESS",
      "completionMessage": "",
      "completionResult": null,
      "team": "d3e64510-b75a-43a0-8ae5-dde78dac56c0",
      "backgroundJob": "19632427-908f-4bf3-a6f5-69b9a0bbfc63",
      "createdBy": "5acc9b3b-9850-422b-81ce-22b01cb74356"
    },
    {
      "id": "8bbaa9b5-14d9-4594-b68f-053e362ff5b3",
      "createdAt": 1617966536310,
      "updatedAt": 1617966537260,
      "data": {
        "apiData": {
          "processId": "1e50dd73-9ce6-405b-932a-9c4c5e7b5599",
          "procedureId": "f3eb37a9-b54e-4088-bc5f-948d37f8aa62",
          "processUpdate": {
            "data": {
              "lead_id": "100"
            }
          }
        },
        "apiType": "process:ext-update"
      },
      "validationStatus": "SUCCESS",
      "validationMessage": "",
      "validationResult": null,
      "completionStatus": "ERROR",
      "completionMessage": "",
      "completionResult": null,
      "team": "d3e64510-b75a-43a0-8ae5-dde78dac56c0",
      "backgroundJob": "19632427-908f-4bf3-a6f5-69b9a0bbfc63",
      "createdBy": "5acc9b3b-9850-422b-81ce-22b01cb74356"
    }
  ],
  "_meta": {
    "total": 770,
    "next": "/v1/ext/background-job/19632427-908f-4bf3-a6f5-69b9a0bbfc63/entries?skip=2limit=2"
  }
}
Modified at 2025-05-12 09:06:29
Previous
Fetch Background Job
Next
Fetch Config
Built with